org.apache.log4j.rule

## Class PartialTextMatchRule

- java.lang.Object
- - org.apache.log4j.rule.AbstractRule
  - - org.apache.log4j.rule.PartialTextMatchRule

- All Implemented Interfaces:
    Serializable, Rule

      public class PartialTextMatchRule
      extends AbstractRule

  A Rule class implementing case-insensitive partial-text matches against two strings.
  Author:
    Scott Deboy (sdeboy@apache.org)
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(org.apache.log4j.spi.LoggingEvent event, Map matches)` Returns true if this implementation of the rule accepts the LoggingEvent, or false if not.
    `static Rule` | `getRule(Stack stack)` Create new instance from top two elements of stack.
    `static Rule` | `getRule(String field, String value)` Create new instance.

    - ### Methods inherited from class org.apache.log4j.rule.AbstractRule

      `addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRule

          public static Rule getRule(String field,
                     String value)

      Create new instance.
      Parameters:
        `field` - field
        `value` - value
      Returns:
        new instance

    - #### getRule

          public static Rule getRule(Stack stack)

      Create new instance from top two elements of stack.
      Parameters:
        `stack` - stack
      Returns:
        new instance

    - #### evaluate

          public boolean evaluate(org.apache.log4j.spi.LoggingEvent event,
                         Map matches)

      Returns true if this implementation of the rule accepts the LoggingEvent, or false if not.

      What True/False means can be client-specific.

      Parameters:
        `event` - LoggingEvent this instance will evaluate
        `matches` - a Map of event field keys to Sets of matching strings (may be null) which will be updated during execution of this method to include field and string matches based on the rule evaluation results
      Returns:
        true if this Rule instance accepts the event, otherwise false.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.